Important: Please read the Qt Code of Conduct - https://forum.qt.io/topic/113070/qt-code-of-conduct

How to add/configure compiler for MSVC ?



  • Hi,
    I need to configure/add compiler for the selected kit (see image) and none of the compilers shown in the dropdown list works. What i should do? How i can install a compatible compiler? The reason now i use MSVC and not MinGW is that i need webengine.
    Thanks in advance! 0_1526637893833_3c663726-036c-4661-9332-d6dd814043d0-image.png


  • Lifetime Qt Champion

    Hi and welcome to devnet,

    That won't work, you installed the Qt Desktop version for MSVC2013 while installing MVSC2017. MSVC2017 is the first version of Visual Studio that is backward compatible but it is only with MSVC2015.

    So you have two choices:

    • Install Qt for either MSVC2015/2017
    • Install MSVC2013

    I'd recommending the former.


Log in to reply